Rygel.UserConfig – librygel-core Reference Manual

# UserConfig

## Object Hierarchy:

## Description:

public class UserConfig : Object, Configuration

Manages the user configuration for Rygel.

Namespace: Rygel
Package: librygel-core

## Content:

### Constants:

- public const unowned string GENERAL_SECTION
- public const unowned string CONFIG_FILE
- public const unowned string IFACE_KEY
- public const unowned string PORT_KEY
- public const unowned string ENABLED_KEY
- public const unowned string TITLE_KEY
- public const unowned string TRANSCODING_KEY
- public const unowned string ALLOW_UPLOAD_KEY
- public const unowned string ALLOW_DELETION_KEY
- public const unowned string LOG_LEVELS_KEY
- public const unowned string PLUGIN_PATH_KEY
- public const unowned string ENGINE_PATH_KEY
- public const unowned string MEDIA_ENGINE_KEY
- public const unowned string UPLOAD_FOLDER_KEY
- public const unowned string VIDEO_UPLOAD_DIR_PATH_KEY
- public const unowned string MUSIC_UPLOAD_DIR_PATH_KEY
- public const unowned string PICTURE_UPLOAD_DIR_PATH_KEY

### Static methods:

- public static UserConfig get_default () throws Error

### Creation methods:

- public UserConfig (string local_path) throws Error
- public UserConfig.with_paths (string local_path, string system_path) throws Error

### Methods:

- public string[] get_interfaces () throws Error
- public string get_interface () throws Error
- public int get_port () throws Error
- public bool get_transcoding () throws Error
- public bool get_allow_upload () throws Error
- public bool get_allow_deletion () throws Error
- public string get_log_levels () throws Error
- public string get_plugin_path () throws Error
- public string get_engine_path () throws Error
- public string get_media_engine () throws Error
- public string? get_video_upload_folder () throws Error
- public string? get_music_upload_folder () throws Error
- public string? get_picture_upload_folder () throws Error
- public bool get_enabled (string section) throws Error
- public string get_title (string section) throws Error
- public string get_string (string section, string key) throws Error
- public ArrayList<string> get_string_list (string section, string key) throws Error
- public int get_int (string section, string key, int min, int max) throws Error
- public ArrayList<int> get_int_list (string section, string key) throws Error
- public bool get_bool (string section, string key) throws Error

### Fields:

- protected KeyFile key_file
- protected KeyFile sys_key_file
- protected FileMonitor key_file_monitor
- protected FileMonitor sys_key_file_monitor

### Inherited Members:

All known members inherited from class GLib.Object

- interface_find_property
- interface_install_property
- interface_list_properties
- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating

- freeze_notify
- @get
- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- is_floating
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count

All known members inherited from interface Rygel.Configuration

- get_interface
- get_interfaces
- get_port
- get_transcoding
- get_allow_upload
- get_allow_deletion
- get_log_levels
- get_plugin_path

- get_engine_path
- get_media_engine
- get_video_upload_folder
- get_music_upload_folder
- get_picture_upload_folder
- get_enabled
- get_title
- get_string

- get_string_list
- get_int
- get_int_list
- get_bool
- configuration_changed
- section_changed
- setting_changed